# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'poparser/version'

Gem::Specification.new do |spec|
  spec.name          = 'PoParser'
  spec.version       = PoParser::VERSION
  spec.authors       = ['Arash Mousavi']
  spec.email         = ['mousavi.arash@gmail.com']
  spec.summary       = 'A PO file parser, editor and generator.'
  spec.description   = 'A PO file parser, editor and generator. PO files are translation files generated by GNU/Gettext tool.'
  spec.homepage      = 'http://github.com/arashm/poparser'
  spec.license       = 'MIT'

  spec.files         = `git ls-files`.split($INPUT_RECORD_SEPARATOR)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^spec/})
  spec.require_paths = ['lib']

  # Runtime deps
  spec.add_runtime_dependency 'simple_po_parser', '~> 1.1.2'

  # Development deps
  spec.add_development_dependency 'bundler', '>= 0'
  spec.add_development_dependency 'rake', '>= 0'
end
